#!/bin/sh
#
# Example script used to execute an alert action.
#

if [ $# != 3 ] ; then
	echo "$0: Wrong number of parameters."
	exit 1
fi

ALERT_CPU_TIMEINTVL=$1
ALERT_CPU_THRESHOLD=$2
current_cpu15=$3

(
cat << EOF
Message from hostname '$HOSTNAME'

This system is exceeding the defined $ALERT_CPU_THRESHOLD threshold during the last $ALERT_CPU_TIMEINTVL seconds.

The current load average of the last 15 minutes of your CPU is: $current_cpu15

Please take proper actions to correct this situation.
EOF
) | mail -s "WARNING: Monitorix alert" root

